You are hereBroadway 3.3
  Version 3.3.1424



  • Download the Firmware file to a PC, which has access to Broadway
  • Open the Broadway configuration pages.
  • Go to Configuration
  • In the Firmware section, click the Browse button to navigate to the downloaded new firmware file and open it.
  • Click the Update button
  • Broadway will reboot automatically
  • Important notes:
    • Please clear your browser cache after you have installed a new firmware to ensure your Broadway user interface gets displayed correctly. On some browsers you may have to clear your browser cache several times.
    • In order to use the EPG information associated with a TV station a new channel scan is required

Do not interrupt the Broadway power supply while updating the firmware!

Detailed information about firmware update

To be used with all Broadway products

  • What's new in version 3.3 compared to Version 3.2

    This version of the firmware adds new features to the existing function set of Broadway:
    • Bugfix for Internet Explorer 11
    • Broadway Triple HD support
    • Updated login behaviour
    • Improved instant recording
    • iOS 8 support
    • Unicable support for satellite TV (with unicable standard EN 50494)
    • Android: Videoplayer choice for H.264 profiles
    • Improved Beta DLNA support
    • Wizard updates in browser UI
    • Improved tuning tables
    • ISO-8859-2 and ISO-8859-15 charsets added
    • Bugfixes for failed recordings, standby mode and for streaming from a Broadway without internet connection

    • Removed feature: This firmware no longer supports the formatting of the storage
Broadway and Android devices

Since Adobe has recently discontinued Flash support for Android, we had to implement a different mechanism to support media streaming. Technically we are now using HTML 5.0 video tag (MPEG Transport stream + H.264 video), which is a mandatory feature for Android versions > 3.0.

If you have a Flash plugin already installed on your Android device your Broadway will continue to work. If you got a new Android device you may not be able to install a flash plugin anymore. In this case our new approach might help. Please refer to the list below for playback compatibility:

  • Android version 2.1 (Eclair) and lower: not compatible to Broadway
  • Android version 2.2 (Froyo) - version 4.0 (ICS): Adobe Flash player/plug-in required. If you can't access the Flash Player download via the Google Play Store, please try via
  • Android version 4.1 - 4.3 (Jelly Bean): HTML-5 support; no Adobe Flash player/plug-in available
  • Android version 4.4 (KitKat): HTML-5 support; no Adobe Flash player/plug-in available

Although Broadway is fully compliant to Google's specification for media streaming we found some devices are not and therefore will not work with Broadway yet. Please send us a note in cases your device is not streaming video correctly. You might also send us a short note if your device is working well




Firmware V3.3.1424





 English (United States) Deutsch (Deutschland) Français (France) Italiano (Italia) English (United Kingdom) Español (España)